/***********************************************************************
 *
 *	Copyright  1996 Ken Hancock -- All Rights Reserved
 *
 * PROJECT:			Nikon N90S Buddy Application
 *
 * FILE:				StringTables.h
 *	  
 * REVISION HISTORY:
 * 	 5/7/97	ksh		Migrated from FormUtils.h
 *
 **********************************************************************/

#define kNoFlashIndex	3

extern const char * kISOTable[];
extern const char * kShutterSpeedTable[];
extern const char * kApertureTable[];
extern const char * kExposureModeTable[];
extern const char * kFlashSyncTable[];
extern const char * kFocalTable[];
extern const char * kExpCompTable[];
extern const char * kMeterTable[];
extern const char * kCameraBracketTable[];
extern const char * kFlashSyncSpeedTable[];
extern const char * kCameraApertureTable[];
extern const char * kCameraExpModeTable[];
extern const char * kCameraMeterTable[];

#define kVariProgramIndex			0x08
#define kVariProgramTable	kExposureModeTable

short GetStringTableMax(const char ** table);
char *	GetStringTable(const char ** table, unsigned char index);
short GetStringIndex(const char ** table, char * str);
